@import '/styles/global.css';
@import '/styles/HeaderManager.css';
@import '/styles/FooterManager.css';
@import '/styles/SignupElement.css';
@import '/styles/CookieConsent/CookieConsent.css';
@import '/styles/CookieConsent/CookiePreferences.css';
@import '/styles/SoftwareCarousel.css';
@import '/styles/ContactElement.css';


.software-introduction {
  max-width: 800px;
  text-align: center;
  padding: 50px 20px;
  margin: 0 auto;
}
.intro-title {
  padding-bottom: 25px;
}
.software-introduction .inline-links {
  padding-top: 20px;
}

  

/*---- TOP NOTCH SERVICES SECTION --------------*/
.top-notch-container {
  max-width: 1500px;
  margin: auto;
  margin-top: 30px;
  padding-inline: 120px;
}
.top-notch-container h2 {
    text-align: center;
    text-transform: capitalize;
    padding-top: 30px;
    padding-bottom: 20px;
}

/*------------------*/
.top-notch__accordion {
  border-bottom: 1px solid #011038;
}
.top-notch__accordion.active .panel {
  max-height: 300px;
  animation: fade 0.5s ease-in-out;
}

.top-notch__accordion-title {
    margin-left: 0;
    margin-right: 0;
    padding: 18px 0px;
    cursor: pointer;
    transition: 0.4s;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 0;
  }
  .top-notch__accordion-title h4 {
    margin-left: 0;
    margin-right: 20px;
    font-family: "Inter";
    text-transform: uppercase;
  }
  .top-notch__accordion-title svg {
    margin-left: 0;
  }
  .top-notch__accordion.active svg {
    transform: rotate(180deg);
  }
  svg {
    transition: transform 0.5s ease-in;
  }
 
  .top-notch__accordion p {
    font-family: 'Roboto';
    font-size: .3rem;
    padding: 30px 0px;   
  }
  

  
.panel {
    padding: 0px;
    margin: auto;
    max-height: 0;
    overflow: hidden;
    transition: 0.5s ease-in;
}
  
.top-notch__accordion .panel p {
    font-family: "Roboto";
    font-size: 1rem;
    padding: 0px 0px 20px 0px;
}

@keyframes fade {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}
  /*  End of  TOP NOTCH-ACCORDION  */



/*----- Embedded Software Tailored to Your Requirements -----*/
.banner {
    margin-top: 130px;
    background-image: url('/assets/images-v3/Software_1.webp');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: auto;
    width: 100%;
    object-fit: none;
}
.banner__text {
    max-width: 900px;
    vertical-align: middle;
    padding-block: 150px;
    padding-inline: 20px;
    text-align: center;
    margin: 0 auto;
}
#learn-more {
    font-family: "Inter";
    font-weight: 700;
    text-transform: uppercase;
}
.banner__text h2 {
    color: #fff;
    padding-bottom: 40px;
}
.banner__text p {
    color: #fff;
}
.banner__text a {
    color: var(--color-white);
    font-family: "Inter";
    text-transform: uppercase;
    padding-top: 30px;
}
/*  WHY YOU#LL LOVE WORKING WITH US  */
.sftwr-3-sec-title {
    text-align: center;
    text-transform: capitalize;
    padding: 100px 20px;
}
.sftwr-3-sec-title .software-container {
    padding-top: 50px;
    margin: 0 auto;
}
.software-container img {
    width: 40px;
    padding-bottom: 15px;
    margin: 0 auto;
}
.software-container a {
    display: none;
}
.software-container p {
    text-transform: none;
}
.container__flex-31-31-31--box:first-child {
  margin-top: 0;
  padding-top: 0;
}
.container__flex-31-31-31--box h3 {
  text-transform: uppercase;
}
.software-container-mobile {
  display: none;
}
  
/*-----SOFTWARE BANNER WITH SPLIT SCREEN--------------*/
.sftwr-banner__mobile {
    display: none;
  }
  .full-width {
    background-image: url('/assets/images-v3/Software_3.webp');
  }
  .sftwr-banner {
    position: relative;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 500px;
    overflow: hidden;
  }
  .sftwr-banner-split {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    height: 100%;
    z-index: 1;
  }
  
  .sftwr-banner__text {
    flex: 0 0 50%;
    margin-right: 0;
    padding: 20px;
    padding-left: 60px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  
  }
  
  .sftwr-banner__text h2,
  .sftwr-banner__text p {
    margin-right: 0;
    text-align: left;
    color: var(--color-white);
  }
  
  .sftwr-banner__text a {
    margin-left: 0;
    text-align: left;
    color: var(--color-white);
    padding-top: 30px;
    text-transform: capitalize;
    font-family: "Inter";
    font-weight: 700;
  }
  
  .sftwr-banner__image {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 50%;
    background-image: url('/assets/images-v3/Software_2.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0;
  }
  
  /*______________________*/

/* desktops*/
@media (max-width: 1440px) {}

@media (max-width: 1024px) {
  .top-notch-container {
    padding-inline: 20px;
  }
}


 /* SMALLER TABLETS LARGE PHONES  */
@media (max-width: 768px) {
  
 /*----- Embedded Software Tailored to Your Requirements -----*/
    .banner {
      margin-top: 60px;
      background-image: url('/assets/images-v3/Software_1.webp');
      height: auto;
      width: 100%;
      object-fit: none;
    }   

    /*---- TOP NOTCH SERVICES SECTION --------------*/

    .top-notch-container h2 {
      padding-top: 60px;
    }
    
    .sftwr-3-sec-title .software-container {
      padding: 0px 0px 50px 0px;
    }
  }




/* MEDIUM SIZE MOBILES */
@media (max-width: 576px) {

  .software-introduction {
      padding: 30px 20px;
  }
  .software-introduction .inline-links {
      display: block;
  }
  .software-introduction .inline-links a {
      margin-inline: 30px;
  }
  /*---- TOP NOTCH SERVICES Mobile --------------*/
  .top-notch-container {
      background-color: var(--color-grey-background);
      padding-bottom: 20px;
  }
  .top-notch-container h2 {
      text-align: left;
      padding-top: 40px;
      padding-bottom: 20px;
  }
  .top-notch__accordion-title {
      font-size: .9rem;
  }
  /*-------------------------*/
  .banner__text {
    padding-block: 70px;
    text-align: left;
  }
  
  /*-------------------------*/
  
  /*  WHY YOU'LL LOVE WORKING WITH US  */
  .sftwr-3-sec-title {
    text-align: left;
    text-transform: capitalize;
    padding: 30px 20px;
  }
  .container__flex-31-31-31 .software-container {
    padding-top: 0px;
  }
  .container__flex-31-31-31 .software-container {
    padding-inline: 0px;
  }
  .software-container img {
    width: 30px;
    padding-bottom: 15px;
    margin-left: 0;
  }


  /*---  SOFTWARE BANNER WITH SPLIT SCREEN  ----*/
  .sftwr-banner {
    display: none;
  }
  .sftwr-banner__mobile {
    display: flex;
    flex-wrap: wrap;
  }
  .sftwr-banner__text--mobile {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 40px 20px;
    background-color: var(--color-accent-e);
    color: var(--color-white);
  }
  .sftwr-banner__text--mobile p {
    color: var(--color-white);
  }

  .sftwr-banner__text--mobile a {
    margin-left: 0;
    color: var(--color-white);
    padding-top: 30px;
    text-transform: uppercase;
    font-family: "Inter";
    font-weight: 700;
  }  
}
